Skip to content

Lending Markets

Access DeFi lending markets through the Morpho protocol integration. Browse markets on Base and check rates.

GET /v1/agent/lend/markets

List available lending markets.

ParameterTypeRequiredDescription
chainIdnumberNoChain ID (default: 8453 for Base)
-kw">curl -str">"https://api.suwappu.bot/v1/agent/lend/markets?chainId=8453" \

-H -str">"Authorization: Bearer suwappu_sk_YOUR_KEY"

Response:
{

"hl-key">"success": true,

"hl-key">"markets": [

{

"hl-key">"id": "0xabc123...",

"hl-key">"loanAsset": "USDC",

"hl-key">"collateralAsset": "ETH",

"hl-key">"lltv": "0.86",

"hl-key">"supplyApy": "4.2",

"hl-key">"borrowApy": "5.8",

"hl-key">"totalSupply": "12500000",

"hl-key">"totalBorrow": "8900000",

"hl-key">"utilization": "0.712"

},

{

"hl-key">"id": "0xdef456...",

"hl-key">"loanAsset": "USDC",

"hl-key">"collateralAsset": "cbBTC",

"hl-key">"lltv": "0.86",

"hl-key">"supplyApy": "3.8",

"hl-key">"borrowApy": "5.2",

"hl-key">"totalSupply": "8200000",

"hl-key">"totalBorrow": "5100000",

"hl-key">"utilization": "0.622"

}

]

}

GET /v1/agent/lend/market/:id

Get detailed information about a specific lending market.

-kw">curl https://api.suwappu.bot/v1/agent/lend/market/0xabc123 \

-H -str">"Authorization: Bearer suwappu_sk_YOUR_KEY"

Response:
{

"hl-key">"success": true,

"hl-key">"market": {

"hl-key">"id": "0xabc123...",

"hl-key">"loanAsset": "USDC",

"hl-key">"collateralAsset": "ETH",

"hl-key">"lltv": "0.86",

"hl-key">"supplyApy": "4.2",

"hl-key">"borrowApy": "5.8",

"hl-key">"totalSupply": "12500000",

"hl-key">"totalBorrow": "8900000",

"hl-key">"utilization": "0.712",

"hl-key">"oracle": "0x...",

"hl-key">"irm": "0x..."

}

}